network-conduit-tls-1.4.0.1: Create TLS-aware network code with conduits

Safe Haskell | None
Language | Haskell2010

Data.Conduit.Network.TLS.Internal

# Documentation

data TLSConfig Source #

Constructors

TLSConfig |

Fields

- tlsHost :: HostPreference
- tlsPort :: Int
- tlsCertData :: TlsCertData
- tlsNeedLocalAddr :: Bool

data TlsCertData Source #

Constructors

TlsCertData |

Fields

- getTLSCert :: IO ByteString
- getTLSChainCerts :: IO [ByteString]
- getTLSKey :: IO ByteString